const require_index = require("../../utils/index.js");
const require_useEngineContext = require("../../../../hooks/useEngineContext.js");
const require_OsKeyContext = require("../../context/OsKeyContext.js");
//#region src/components/ticketBooking/hooks/pisellos/bookingTicket.ts
/**
* useBookingTicket Hook
* 获取当前 TicketBooking 实例对应的 BookingTicket 模块
* 通过 osKey 区分不同页面的模块实例
*/
const useBookingTicket = () => {
	const pisellOS = require_useEngineContext.usePisellOS();
	const moduleKey = require_index.getBookingTicketKey(require_OsKeyContext.useOsKey() || "ticket");
	return pisellOS.getModule(moduleKey);
};
//#endregion
exports.useBookingTicket = useBookingTicket;
